Bug 189777 - VIP services do not always get assigned to preferred node on bootup
VIP services do not always get assigned to preferred node on bootup
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 12:05 EDT by Henry Harris
Modified: 2009-04-16 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007:149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 12:13:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Syslog messages (7.96 KB, text/plain)
2006-04-24 12:05 EDT, Henry Harris
no flags Details

  None (edit)
Description Henry Harris 2006-04-24 12:05:17 EDT
Description of problem:  On bootup the VIP services do not always get moved to 
the preferred node in the failover domain.  For instance with a four 
node cluster with 24 VIP services configured, 3 of the 24 did not get 
placed on node 3 which was the preferred node for that failover 
domain.  In the attached file I’ve included the syslog messages from 
node 1 which was up before node 3 but did not move the 3 VIPs to node3 
as expected.  You will see where node 3 came up and node 1 tried to 
move the VIPs but failed.  There are messages like
  <warning> #XX: Cancelling relocation: Shutting down.  



Version-Release number of selected component (if applicable):
rgmanager-1.9.46-0

How reproducible:
Often but not every time

Steps to Reproduce:
1. Create a signficant number of IP services (ie. 24 or more)
2. Create as many ordered, restricted failover domains as there are nodes in 
the cluster
3. Distribute the IP services over the failover domains so that for a four 
node cluster, for example, 1/4 of the service get assigned to node 1 first, 
1/4 get assigned to node 2 first, etc.
4. Bring up the cluster
  
Actual results:
Not all VIP services are assigned to the preferred node in its failover domain

Expected results:
Every VIP service should be assigned to the preferred node in its failover 
domain

Additional info:
Comment 1 Henry Harris 2006-04-24 12:05:17 EDT
Created attachment 128151 [details]
Syslog messages

Note You need to log in before you can comment on or make changes to this bug.